Subject: Translating of the backend
Description

To discus the structure of XLF files and the work of translating the TYPO3.Neos Application

Related issues:
related to Base Distribution - Work Package # 45012: Translated Neos backend Closed 2013-01-31

History
#1 - 2014-01-21 10:35 - Soren Malling

ChristianM
basically we need nodetypes separated, every backend module and maybe also some of the js separated

kaystrobach
(y)

kaystrobach
<type>.<id>.<label>?

ChristianM
type should be part of the filename IMHO

ChristianM
NodeTypes.xlf eg.

kaystrobach
what if a label is double used in a backend module and in a type definition, then the last defined one wins?

kaystrobach
that could lead to problems :(

ChristianM
the last defined wins?

ChristianM
we don't merge the files

kaystrobach
e.g, you define a label whatever

kaystrobach
this is once defined in the module.xlf and once in an xlf for the cce

kaystrobach
which will be shown, or do you want to explicitly name the source file for the translation for each f:translate call?
ChristianM
I am not too much into the logic of the xlf loading but AFAIK you need to define the source file

kaystrobach
let me take a look ...

sorenmalling
kaystrobach: ChristianM: What if you want to override the label with a field from a different file/package? :)

kaystrobach
you definitely need to define the source file if the label is from a package, which is not rendering the current view

kaystrobach
i think this will anyway be the normal way of doing in NEOS?!

sorenmalling
ChristianM: kaystrobach: Would it make sense to make a label a more advanced configuration? So a label can consists of "id" "package" "filename"?

sorenmalling
kaystrobach: ChristianM http://pastebin.com/NmDVUBAn

kaystrobach
The translation VH already has: id, value, arguments, source, package, quantity and locale

kaystrobach
so IMHO we can define the source of the VH to be convention

sorenmalling
Arh, "source" will be "context" in my example

ChristianM
but at least the source should be convention in most parts

kaystrobach
perhaps it makes sense to override the package, but that is an advanced feature and can be done by AOP easily

sorenmalling
And locale should be calculated automaticly, right?

ChristianM
liek in a NodeTypes.yaml the source should be NodeTypes

kaystrobach
@soren yeah, locale can be calculated automatically, but in FLOW you can overwrite it :D

kaystrobach
+1

sorenmalling
Always :P

kaystrobach
IMHO always, conventions reduce complexity :D
sorenmalling
I just love to have a configuration similar to the on in Routes.yaml

sorenmalling
label are fairly complex when it all adds up

kaystrobach
so we can define, to always use the same name as for the yaml as source :D

kaystrobach
ok?

sorenmalling
kaystrobach: I don't think i understand?

kaystrobach
you said, that you have a file called NodeTypes.yaml in Configuration - right?

kaystrobach
this file is used to define the CCEs for NEOS

ChristianM
yeah, I see where you are going, that could work

kaystrobach
the corresponding file for translations will be Resources/Private/Translation/<lang>/NodeTypes.xlf

kaystrobach
so NodeTypes will be the $source in the ViewHelper "Translate"

kaystrobach
have i understood you right?

ChristianM
at least that would make sense to me

#2 - 2015-01-30 14:30 - Fedir RYKHTIK

Hey guys ! What is the state of TYPO3 Neos Backend Translation ? Cheers, F.

#3 - 2015-01-30 14:40 - Bastian Waidelich
- Status changed from New to Closed
- Assigned To set to Bastian Waidelich

This ticket has been moved to https://jira.typo3.org/browse/NEOS-89

#4 - 2015-01-30 14:40 - Bastian Waidelich

Fedir RYKHTIK wrote:
Hey guys ! What is the state of TYPO3 Neos Backend Translation ? Cheers, F.

Please see https://jira.typo3.org/browse/NEOS-89 for status updates
